SeekableIterator
Exceptions
SeekableIterator
PHP Manual

# SeekableIterator::seek

(PHP 5 >= 5.1.0)

SeekableIterator::seek — Seeks to a position

### Opis

abstract public void SeekableIterator::seek ( int `$position` )

Seeks to a given position in the iterator.

### Parametry

`position`

  The position to seek to.

### Zwracane wartości

nie jest zwracana żadna wartość.

### Błędy/Wyjątki

Implementations should throw an OutOfBoundsException if the `position` is not seekable.

### Przykłady

Przykład #1 SeekableIterator::seek example

Seek to the item at position 3 in the iterator (ArrayIterator implements SeekableIterator).

`<?php
$array = array("apple", "banana", "cherry", "damson", "elderberry");
$iterator = new ArrayIterator($array);
$iterator->seek(3);
echo $iterator->current();
?>`

Powyższy przykład wyświetli coś podobnego do:

    damson

### Zobacz też:

- SeekableIterator
- Iterator

SeekableIterator
Exceptions
SeekableIterator
PHP Manual